Installing VMWare Workstation 7 on Windows Server 2008 R2 - “Error: This product can only be installed on Windows XP or later.”

If you get this error message when trying to install VMWare Workstation 7 on Windows Server 2008 R2, it is most probably because you have the Hyper-V role installed and enabled which is not compatible with VMWare.

The easiest option is to follow the instructions detailed on this blog to disable the Hyper-V service from a command prompt and then reboot:

sc config hvboot start= disabled

To re-enable Hyper-V, type this from a command prompt and reboot:

sc config hvboot start= boot

UPDATE: It turns out you can't simply re-enable hyper-v once VMWare WS installed. If you try to run the command above you will get exactly the same message from sc.exe i.e. "The parameter is incorrect". This message is displayed because of the competing hypervisors of VMWare WS and Hyper-V and only one can be running on the system at once. This probably means uninstalling VMWare WS if you want to get back to Hyper-V...